# Poco::Data::ODBC

# class ODBCStatementImpl

Library: Data/ODBC
Package: ODBC
Header: Poco/Data/ODBC/ODBCStatementImpl.h

## Description

Implements statement functionality needed for ODBC

## Inheritance

Direct Base Classes: Poco::Data::StatementImpl

All Base Classes: Poco::Data::StatementImpl, Poco::RefCountedObject

## Member Summary

Member Functions: bindImpl, binder, canBind, columnsReturned, compileImpl, extractor, hasNext, metaColumn, nativeSQL, next

Inherited Functions: add, addBinding, addExtract, bindImpl, binder, bindings, canBind, columnsExtracted, columnsReturned, compileImpl, duplicate, execute, extractions, extractor, getState, hasNext, makeExtractors, metaColumn, next, referenceCount, release, reset, setExtractionLimit, toString

## Types

### ColumnPtrVec

typedef std::vector < ODBCColumn * > ColumnPtrVec;

## Constructors

### ODBCStatementImpl

ODBCStatementImpl(
SessionImpl & rSession
);

Creates the ODBCStatementImpl.

## Destructor

### ~ODBCStatementImpl

~ODBCStatementImpl();

Destroys the ODBCStatementImpl.

## Member Functions

### bindImpl

void bindImpl();

Binds parameters

See also: Poco::Data::StatementImpl::bindImpl()

### binder

AbstractBinder & binder();

Returns the concrete binder used by the statement.

See also: Poco::Data::StatementImpl::binder()

### canBind

bool canBind() const;

Returns true if a valid statement is set and we can bind.

See also: Poco::Data::StatementImpl::canBind()

### columnsReturned

Poco::UInt32 columnsReturned() const;

Returns number of columns returned by query.

See also: Poco::Data::StatementImpl::columnsReturned()

### compileImpl

void compileImpl();

Compiles the statement, doesn't bind yet

See also: Poco::Data::StatementImpl::compileImpl()

### extractor

AbstractExtractor & extractor();

Returns the concrete extractor used by the statement.

See also: Poco::Data::StatementImpl::extractor()

### hasNext

bool hasNext();

Returns true if a call to next() will return data.

See also: Poco::Data::StatementImpl::hasNext()

### metaColumn

const MetaColumn & metaColumn(
Poco::UInt32 pos
) const;

Returns column meta data.

See also: Poco::Data::StatementImpl::metaColumn()

### nativeSQL

std::string nativeSQL();

Returns the SQL string as modified by the driver.

### next

void next();

Retrieves the next row from the resultset. Will throw, if the resultset is empty.

See also: Poco::Data::StatementImpl::next()